<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for master in example package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  master module in example package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Master',
    'names'         => 'Masters',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Masters',
        'sub'   => 'Masters',
        'list'  => 'List of masters',
        'edit'  => 'Edit master',
        'create'    => 'Create new master'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'parent_id'                  => 'Please enter parent id',
        'type'                       => 'Please enter type',
        'name'                       => 'Please enter name',
        'code'                       => 'Please enter code',
        'amount'                     => 'Please enter amount',
        'abbr'                       => 'Please enter abbr',
        'description'                => 'Please enter description',
        'icon'                       => 'Please enter icon',
        'image'                      => 'Please enter image',
        'images'                     => 'Please enter images',
        'file'                       => 'Please enter file',
        'order'                      => 'Please enter order',
        'status'                     => 'Please select status',
        'extras'                     => 'Please enter extras',
        'slug'                       => 'Please enter slug',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'parent_id'                  => 'Parent id',
        'type'                       => 'Type',
        'name'                       => 'Name',
        'code'                       => 'Code',
        'amount'                     => 'Amount',
        'abbr'                       => 'Abbr',
        'description'                => 'Description',
        'icon'                       => 'Icon',
        'image'                      => 'Image',
        'images'                     => 'Images',
        'file'                       => 'File',
        'order'                      => 'Order',
        'status'                     => 'Status',
        'extras'                     => 'Extras',
        'slug'                       => 'Slug',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'id'                         => ['name' => 'Id', 'data-column' => 1, 'checked'],
        'parent_id'                  => ['name' => 'Parent id', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 4, 'checked'],
        'code'                       => ['name' => 'Code', 'data-column' => 5, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 6, 'checked'],
        'abbr'                       => ['name' => 'Abbr', 'data-column' => 7, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 8, 'checked'],
        'icon'                       => ['name' => 'Icon', 'data-column' => 9, 'checked'],
        'image'                      => ['name' => 'Image', 'data-column' => 10, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 11, 'checked'],
        'file'                       => ['name' => 'File', 'data-column' => 12, 'checked'],
        'order'                      => ['name' => 'Order', 'data-column' => 13, 'checked'],
        'extras'                     => ['name' => 'Extras', 'data-column' => 14, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Masters',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
