<?php

// API routes  for master
Route::prefix('{guard}/example')->group(function () {
    Route::get('master/form/{element}', 'MasterAPIController@form');
    Route::resource('master', 'MasterAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for examples
            Route::prefix('{guard}/example')->group(function () {
                Route::get('master/form/{element}', 'MasterAPIController@form');
                Route::apiResource('master', 'MasterAPIController');
            });
            // Public routes for examples
            Route::get('example/Master', 'MasterPublicController@getMaster');
        }
    );
}


// API routes  for permission
Route::prefix('{guard}/example')->group(function () {
    Route::get('permission/form/{element}', 'PermissionAPIController@form');
    Route::resource('permission', 'PermissionAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for examples
            Route::prefix('{guard}/example')->group(function () {
                Route::get('permission/form/{element}', 'PermissionAPIController@form');
                Route::apiResource('permission', 'PermissionAPIController');
            });
            // Public routes for examples
            Route::get('example/Permission', 'PermissionPublicController@getPermission');
        }
    );
}

