<?php

namespace Litepie\Example\Repositories\Eloquent;

use Litepie\Example\Interfaces\MasterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MasterRepository extends BaseRepository implements MasterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.example.master.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.example.master.model.model');
    }
}
