<?php

namespace Litepie\Example\Repositories\Eloquent;

use Litepie\Example\Interfaces\PermissionRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PermissionRepository extends BaseRepository implements PermissionRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litepie.example.permission.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.example.permission.model.model');
    }
}
